import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:provider/provider.dart';

import 'package:minehunter/config/menu.dart';
import 'package:minehunter/cubit/bottom_nav_cubit.dart';
import 'package:minehunter/provider/data.dart';
import 'package:minehunter/ui/widgets/app_bar.dart';
import 'package:minehunter/ui/widgets/bottom_nav_bar.dart';

class SkeletonScreen extends StatefulWidget {
  const SkeletonScreen({super.key});

  @override
  State<SkeletonScreen> createState() => _SkeletonScreenState();
}

class _SkeletonScreenState extends State<SkeletonScreen> {
  @override
  Widget build(BuildContext context) {
    final Data myProvider = Provider.of<Data>(context);

    return Scaffold(
      extendBodyBehindAppBar: false,
      appBar: StandardAppBar(myProvider: myProvider),
      body: BlocBuilder<BottomNavCubit, int>(
        builder: (BuildContext context, int pageIndex) {
          return Padding(
            padding: const EdgeInsets.only(
              top: 8,
              left: 2,
              right: 2,
            ),
            child: Menu.getPageWidget(pageIndex),
          );
        },
      ),
      backgroundColor: Theme.of(context).colorScheme.surface,
      bottomNavigationBar: const BottomNavBar(),
    );
  }
}
