import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';
import 'package:minehunter/ui/widgets/home/button_game_restart.dart';

class EndGameMessage extends StatelessWidget {
  const EndGameMessage({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final Image decorationImage = Image(
      image: AssetImage(myProvider.gameWin
          ? 'assets/icons/game_win.png'
          : myProvider.gameFail
              ? 'assets/icons/game_fail.png'
              : ''),
      fit: BoxFit.fill,
    );

    return Container(
      margin: const EdgeInsets.all(2),
      padding: const EdgeInsets.all(2),
      child: Table(
        defaultColumnWidth: const IntrinsicColumnWidth(),
        children: [
          TableRow(
            children: [
              Column(
                children: [decorationImage],
              ),
              Column(
                children: [
                  myProvider.animationInProgress
                      ? decorationImage
                      : RestartGameButton(myProvider: myProvider)
                ],
              ),
              Column(
                children: [decorationImage],
              ),
            ],
          ),
        ],
      ),
    );
  }
}
