import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';

class ToggleGameModeButton extends StatelessWidget {
  const ToggleGameModeButton({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final String reportModeSuffix = myProvider.reportMode ? 'on' : 'off';

    return TextButton(
      child: Image(
        image: AssetImage(
            'assets/skins/${myProvider.parameterSkin}_button_mark_mine_$reportModeSuffix.png'),
        fit: BoxFit.fill,
      ),
      onPressed: () => myProvider.updateReportMode(!myProvider.reportMode),
    );
  }
}
